> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tip Displays

> List all tip displays for a location.



## OpenAPI

````yaml get /billing/tip-displays
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/tip-displays:
    get:
      tags:
        - provider
        - billing
      summary: List Tip Displays
      description: List all tip displays for a location.
      operationId: list_tip_displays_billing_tip_displays_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: location_id
          in: query
          required: true
          schema:
            type: string
            description: Location to list displays for
            title: Location Id
          description: Location to list displays for
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTipDisplaysResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListTipDisplaysResponse:
      properties:
        displays:
          items:
            $ref: '#/components/schemas/TipDisplayResponse'
          type: array
          title: Displays
          description: Tip displays for the location
          default: []
      type: object
      title: ListTipDisplaysResponse
      description: Response containing list of tip displays.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TipDisplayResponse:
      properties:
        id:
          type: string
          title: Id
          description: Display ID
        name:
          type: string
          title: Name
          description: Display name (e.g. 'Front Desk')
        locationId:
          type: string
          title: Locationid
          description: Location ID
        isActive:
          type: boolean
          title: Isactive
          description: Whether display is active
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Creation time
      type: object
      required:
        - id
        - name
        - locationId
        - isActive
        - createdDate
      title: TipDisplayResponse
      description: A configured tip display.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````